VS 2005 SP1 required?

The system requirements on the R# download page include VS 2005 SP1. Is SP1 really needed?

I ask because I've never been able to install SP1 on my work machine .

Thanks,
Craig

1 comment
Comment actions Permalink

Hello,

The system requirements on the R# download page [
http://www.jetbrains.com/resharper/download/index.html ] include VS
2005 SP1. Is SP1 really needed?


It is highly recommended, but not mandatory. Without the SP you'll have the
colors mixed up due to a Visual Studio bug, so you'll definitely have to
turn off the identifier coloring option. The unused code and error markings
could also appear in strange colors, but that's usually not so intolerable.

The R# 2.0 — 2.5 versions shipped with a non-public KB fix for Visual Studio
that would fix this particular issue. It's not available from Microsoft apart
from the SP, but once you install the older R# version, it will be there
and you'll have no problems with the coloring in R# 3.0 as well.


Serge Baltic
JetBrains, Inc — http://www.jetbrains.com
“Develop with pleasure!”


0

Please sign in to leave a comment.